JavaCC (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.optional.javacc.JavaCC,JavaCC class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.javacc
Class JavaCC

    java.lang.Object
      |
      +--org.apache.tools.ant.ProjectComponent
            |
            +--org.apache.tools.ant.Task
                  |
                  +--org.apache.tools.ant.taskdefs.optional.javacc.JavaCC

public class JavaCC
extends Task

JavaCC compiler compiler task.

Field Summary
`protected static java.lang.String[]` | `ARCHIVE_LOCATIONS`
`protected static int[]` | `ARCHIVE_LOCATIONS_VS_MAJOR_VERSION`
`protected static java.lang.String` | `COM_JAVACC_CLASS`
`protected static java.lang.String` | `COM_JJDOC_CLASS`
`protected static java.lang.String` | `COM_JJTREE_CLASS`
`protected static java.lang.String` | `COM_PACKAGE`
`protected static java.lang.String` | `ORG_JAVACC_CLASS`
`protected static java.lang.String` | `ORG_JJDOC_CLASS`
`protected static java.lang.String` | `ORG_JJTREE_CLASS`
`protected static java.lang.String` | `ORG_PACKAGE_3_0`
`protected static java.lang.String` | `ORG_PACKAGE_3_1`
`protected static int` | `TASKDEF_TYPE_JAVACC`
`protected static int` | `TASKDEF_TYPE_JJDOC`
`protected static int` | `TASKDEF_TYPE_JJTREE`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`JavaCC()`

Method Summary
`void` | `execute()` Called by the project to let the task do its work.
`protected static java.io.File` | `getArchiveFile(java.io.File home)` Helper method to retrieve the path used to store the JavaCC.zip or javacc.jar which is different from versions.
`protected static java.lang.String` | `getMainClass(java.io.File home, int type)` Helper method to retrieve main class which is different from versions.
`protected static int` | `getMajorVersionNumber(java.io.File home)` Helper method to determine the major version number of JavaCC.
`void` | `setBuildparser(boolean buildParser)` Sets the BUILD_PARSER grammar option.
`void` | `setBuildtokenmanager(boolean buildTokenManager)` Sets the BUILD_TOKEN_MANAGER grammar option.
`void` | `setCachetokens(boolean cacheTokens)` Sets the CACHE_TOKENS grammar option.
`void` | `setChoiceambiguitycheck(int choiceAmbiguityCheck)` Sets the CHOICE_AMBIGUITY_CHECK grammar option.
`void` | `setCommontokenaction(boolean commonTokenAction)` Sets the COMMON_TOKEN_ACTION grammar option.
`void` | `setDebuglookahead(boolean debugLookahead)` Sets the DEBUG_LOOKAHEAD grammar option.
`void` | `setDebugparser(boolean debugParser)` Sets the DEBUG_PARSER grammar option.
`void` | `setDebugtokenmanager(boolean debugTokenManager)` Sets the DEBUG_TOKEN_MANAGER grammar option.
`void` | `setErrorreporting(boolean errorReporting)` Sets the ERROR_REPORTING grammar option.
`void` | `setForcelacheck(boolean forceLACheck)` Sets the FORCE_LA_CHECK grammar option.
`void` | `setIgnorecase(boolean ignoreCase)` Sets the IGNORE_CASE grammar option.
`void` | `setJavacchome(java.io.File javaccHome)` The directory containing the JavaCC distribution.
`void` | `setJavaunicodeescape(boolean javaUnicodeEscape)` Sets the JAVA_UNICODE_ESCAPE grammar option.
`void` | `setKeeplinecolumn(boolean keepLineColumn)` Sets the KEEP_LINE_COLUMN grammar option.
`void` | `setLookahead(int lookahead)` Sets the LOOKAHEAD grammar option.
`void` | `setOptimizetokenmanager(boolean optimizeTokenManager)` Sets the OPTIMIZE_TOKEN_MANAGER grammar option.
`void` | `setOtherambiguityCheck(int otherAmbiguityCheck)` Sets the OTHER_AMBIGUITY_CHECK grammar option.
`void` | `setOutputdirectory(java.io.File outputDirectory)` The directory to write the generated files to.
`void` | `setSanitycheck(boolean sanityCheck)` Sets the SANITY_CHECK grammar option.
`void` | `setStatic(boolean staticParser)` Sets the STATIC grammar option.
`void` | `setTarget(java.io.File target)` The grammar file to process.
`void` | `setUnicodeinput(boolean unicodeInput)` Sets the UNICODE_INPUT grammar option.
`void` | `setUsercharstream(boolean userCharStream)` Sets the USER_CHAR_STREAM grammar option.
`void` | `setUsertokenmanager(boolean userTokenManager)` Sets the USER_TOKEN_MANAGER grammar option.

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, reconfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TASKDEF_TYPE_JAVACC

    protected static final int TASKDEF_TYPE_JAVACC

See Also:
  Constant Field Values

### TASKDEF_TYPE_JJTREE

    protected static final int TASKDEF_TYPE_JJTREE

See Also:
  Constant Field Values

### TASKDEF_TYPE_JJDOC

    protected static final int TASKDEF_TYPE_JJDOC

See Also:
  Constant Field Values

### ARCHIVE_LOCATIONS

    protected static final java.lang.String[] ARCHIVE_LOCATIONS

### ARCHIVE_LOCATIONS_VS_MAJOR_VERSION

    protected static final int[] ARCHIVE_LOCATIONS_VS_MAJOR_VERSION

### COM_PACKAGE

    protected static final java.lang.String COM_PACKAGE

See Also:
  Constant Field Values

### COM_JAVACC_CLASS

    protected static final java.lang.String COM_JAVACC_CLASS

See Also:
  Constant Field Values

### COM_JJTREE_CLASS

    protected static final java.lang.String COM_JJTREE_CLASS

See Also:
  Constant Field Values

### COM_JJDOC_CLASS

    protected static final java.lang.String COM_JJDOC_CLASS

See Also:
  Constant Field Values

### ORG_PACKAGE_3_0

    protected static final java.lang.String ORG_PACKAGE_3_0

See Also:
  Constant Field Values

### ORG_PACKAGE_3_1

    protected static final java.lang.String ORG_PACKAGE_3_1

See Also:
  Constant Field Values

### ORG_JAVACC_CLASS

    protected static final java.lang.String ORG_JAVACC_CLASS

See Also:
  Constant Field Values

### ORG_JJTREE_CLASS

    protected static final java.lang.String ORG_JJTREE_CLASS

See Also:
  Constant Field Values

### ORG_JJDOC_CLASS

    protected static final java.lang.String ORG_JJDOC_CLASS

See Also:
  Constant Field Values

Constructor Detail

### JavaCC

    public JavaCC()

Method Detail

### setLookahead

    public void setLookahead(int lookahead)

  Sets the LOOKAHEAD grammar option.

### setChoiceambiguitycheck

    public void setChoiceambiguitycheck(int choiceAmbiguityCheck)

  Sets the CHOICE_AMBIGUITY_CHECK grammar option.

### setOtherambiguityCheck

    public void setOtherambiguityCheck(int otherAmbiguityCheck)

  Sets the OTHER_AMBIGUITY_CHECK grammar option.

### setStatic

    public void setStatic(boolean staticParser)

  Sets the STATIC grammar option.

### setDebugparser

    public void setDebugparser(boolean debugParser)

  Sets the DEBUG_PARSER grammar option.

### setDebuglookahead

    public void setDebuglookahead(boolean debugLookahead)

  Sets the DEBUG_LOOKAHEAD grammar option.

### setDebugtokenmanager

    public void setDebugtokenmanager(boolean debugTokenManager)

  Sets the DEBUG_TOKEN_MANAGER grammar option.

### setOptimizetokenmanager

    public void setOptimizetokenmanager(boolean optimizeTokenManager)

  Sets the OPTIMIZE_TOKEN_MANAGER grammar option.

### setErrorreporting

    public void setErrorreporting(boolean errorReporting)

  Sets the ERROR_REPORTING grammar option.

### setJavaunicodeescape

    public void setJavaunicodeescape(boolean javaUnicodeEscape)

  Sets the JAVA_UNICODE_ESCAPE grammar option.

### setUnicodeinput

    public void setUnicodeinput(boolean unicodeInput)

  Sets the UNICODE_INPUT grammar option.

### setIgnorecase

    public void setIgnorecase(boolean ignoreCase)

  Sets the IGNORE_CASE grammar option.

### setCommontokenaction

    public void setCommontokenaction(boolean commonTokenAction)

  Sets the COMMON_TOKEN_ACTION grammar option.

### setUsertokenmanager

    public void setUsertokenmanager(boolean userTokenManager)

  Sets the USER_TOKEN_MANAGER grammar option.

### setUsercharstream

    public void setUsercharstream(boolean userCharStream)

  Sets the USER_CHAR_STREAM grammar option.

### setBuildparser

    public void setBuildparser(boolean buildParser)

  Sets the BUILD_PARSER grammar option.

### setBuildtokenmanager

    public void setBuildtokenmanager(boolean buildTokenManager)

  Sets the BUILD_TOKEN_MANAGER grammar option.

### setSanitycheck

    public void setSanitycheck(boolean sanityCheck)

  Sets the SANITY_CHECK grammar option.

### setForcelacheck

    public void setForcelacheck(boolean forceLACheck)

  Sets the FORCE_LA_CHECK grammar option.

### setCachetokens

    public void setCachetokens(boolean cacheTokens)

  Sets the CACHE_TOKENS grammar option.

### setKeeplinecolumn

    public void setKeeplinecolumn(boolean keepLineColumn)

  Sets the KEEP_LINE_COLUMN grammar option.

### setOutputdirectory

    public void setOutputdirectory(java.io.File outputDirectory)

  The directory to write the generated files to. If not set, the files are written to the directory containing the grammar file.

### setTarget

    public void setTarget(java.io.File target)

  The grammar file to process.

### setJavacchome

    public void setJavacchome(java.io.File javaccHome)

  The directory containing the JavaCC distribution.

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Task`
  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### getArchiveFile

    protected static java.io.File getArchiveFile(java.io.File home)
                                          throws BuildException

  Helper method to retrieve the path used to store the JavaCC.zip or javacc.jar which is different from versions.

  Parameters:
    `home` - the javacc home path directory.
  Returns:
    the file object pointing to the JavaCC archive.
  Throws:
    `BuildException` - thrown if the home directory is invalid or if the archive could not be found despite attempts to do so.

### getMainClass

    protected static java.lang.String getMainClass(java.io.File home,
                                                   int type)
                                            throws BuildException

  Helper method to retrieve main class which is different from versions.

  Parameters:
    `home` - the javacc home path directory.
    `type` - the taskdef.
  Returns:
    the main class for the taskdef.
  Throws:
    `BuildException` - thrown if the home directory is invalid or if the archive could not be found despite attempts to do so.

### getMajorVersionNumber

    protected static int getMajorVersionNumber(java.io.File home)
                                        throws BuildException

  Helper method to determine the major version number of JavaCC.

  Parameters:
    `home` - the javacc home path directory.
  Returns:
    a the major version number
  Throws:
    `BuildException` - thrown if the home directory is invalid or if the archive could not be found despite attempts to do so.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2005 Apache Software Foundation. All Rights Reserved.